{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "allowSyntheticDefaultImports": true,
    "sourceMap": true,
    "declaration": false,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "module": "esnext",
    "moduleResolution": "node",
    "importHelpers": true,
    "target": "es2015",
    "typeRoots": ["node_modules/@types"],
    "lib": ["es2018", "dom"],
    "paths": {
      "@ucap-webmessenger/core": [
        "projects/ucap-webmessenger-core/src/public-api"
      ],
      "@ucap-webmessenger/enviroments": [
        "projects/ucap-webmessenger-enviroments/src/public-api"
      ],
      "@ucap-webmessenger/api": [
        "projects/ucap-webmessenger-api/src/public-api"
      ],
      "@ucap-webmessenger/api-common": [
        "projects/ucap-webmessenger-api-common/src/public-api"
      ],
      "@ucap-webmessenger/api-public": [
        "projects/ucap-webmessenger-api-public/src/public-api"
      ],
      "@ucap-webmessenger/api-external": [
        "projects/ucap-webmessenger-api-external/src/public-api"
      ],
      "@ucap-webmessenger/api-message": [
        "projects/ucap-webmessenger-api-message/src/public-api"
      ],
      "@ucap-webmessenger/api-prompt": [
        "projects/ucap-webmessenger-api-prompt/src/public-api"
      ],
      "@ucap-webmessenger/pi": ["projects/ucap-webmessenger-pi/src/public-api"],
      "@ucap-webmessenger/ui": ["projects/ucap-webmessenger-ui/src/public-api"],
      "@ucap-webmessenger/ui-account": [
        "projects/ucap-webmessenger-ui-account/src/public-api"
      ],
      "@ucap-webmessenger/ui-chat": [
        "projects/ucap-webmessenger-ui-chat/src/public-api"
      ],
      "@ucap-webmessenger/ui-room": [
        "projects/ucap-webmessenger-ui-room/src/public-api"
      ],
      "@ucap-webmessenger/ui-group": [
        "projects/ucap-webmessenger-ui-group/src/public-api"
      ],
      "@ucap-webmessenger/ui-messenger": [
        "projects/ucap-webmessenger-ui-messenger/src/public-api"
      ],
      "@ucap-webmessenger/ui-message": [
        "projects/ucap-webmessenger-ui-message/src/public-api"
      ],
      "@ucap-webmessenger/ui-organization": [
        "projects/ucap-webmessenger-ui-organization/src/public-api"
      ],
      "@ucap-webmessenger/ui-profile": [
        "projects/ucap-webmessenger-ui-profile/src/public-api"
      ],
      "@ucap-webmessenger/ui-settings": [
        "projects/ucap-webmessenger-ui-settings/src/public-api"
      ],
      "@ucap-webmessenger/protocol": [
        "projects/ucap-webmessenger-protocol/src/public-api"
      ],
      "@ucap-webmessenger/protocol-authentication": [
        "projects/ucap-webmessenger-protocol-authentication/src/public-api"
      ],
      "@ucap-webmessenger/protocol-buddy": [
        "projects/ucap-webmessenger-protocol-buddy/src/public-api"
      ],
      "@ucap-webmessenger/protocol-event": [
        "projects/ucap-webmessenger-protocol-event/src/public-api"
      ],
      "@ucap-webmessenger/protocol-file": [
        "projects/ucap-webmessenger-protocol-file/src/public-api"
      ],
      "@ucap-webmessenger/protocol-fmc": [
        "projects/ucap-webmessenger-protocol-fmc/src/public-api"
      ],
      "@ucap-webmessenger/protocol-group": [
        "projects/ucap-webmessenger-protocol-group/src/public-api"
      ],
      "@ucap-webmessenger/protocol-info": [
        "projects/ucap-webmessenger-protocol-info/src/public-api"
      ],
      "@ucap-webmessenger/protocol-inner": [
        "projects/ucap-webmessenger-protocol-inner/src/public-api"
      ],
      "@ucap-webmessenger/protocol-option": [
        "projects/ucap-webmessenger-protocol-option/src/public-api"
      ],
      "@ucap-webmessenger/protocol-ping": [
        "projects/ucap-webmessenger-protocol-ping/src/public-api"
      ],
      "@ucap-webmessenger/protocol-query": [
        "projects/ucap-webmessenger-protocol-query/src/public-api"
      ],
      "@ucap-webmessenger/protocol-room": [
        "projects/ucap-webmessenger-protocol-room/src/public-api"
      ],
      "@ucap-webmessenger/protocol-service": [
        "projects/ucap-webmessenger-protocol-service/src/public-api"
      ],
      "@ucap-webmessenger/protocol-status": [
        "projects/ucap-webmessenger-protocol-status/src/public-api"
      ],
      "@ucap-webmessenger/protocol-sync": [
        "projects/ucap-webmessenger-protocol-sync/src/public-api"
      ],
      "@ucap-webmessenger/protocol-utci": [
        "projects/ucap-webmessenger-protocol-utci/src/public-api"
      ],
      "@ucap-webmessenger/protocol-umg": [
        "projects/ucap-webmessenger-protocol-umg/src/public-api"
      ],
      "@ucap-webmessenger/native": [
        "projects/ucap-webmessenger-native/src/public-api"
      ],
      "@ucap-webmessenger/native-browser": [
        "projects/ucap-webmessenger-native-browser/src/public-api"
      ],
      "@ucap-webmessenger/native-electron": [
        "projects/ucap-webmessenger-native-electron/src/public-api"
      ],
      "@ucap-webmessenger/web-socket": [
        "projects/ucap-webmessenger-web-socket/src/public-api"
      ],
      "@ucap-webmessenger/web-storage": [
        "projects/ucap-webmessenger-web-storage/src/public-api"
      ],
      "@ucap-webmessenger/util": [
        "projects/ucap-webmessenger-util/src/public-api"
      ],
      "@app/*": ["projects/ucap-webmessenger-app/src/app/*"],
      "@ucap-webmessenger/electron-core": [
        "electron-projects/ucap-webmessenger-electron-core/src/public-api"
      ],
      "@ucap-webmessenger/electron-notification": [
        "electron-projects/ucap-webmessenger-electron-notification/src/public-api"
      ],
      "@ucap-webmessenger/electron-update-window": [
        "electron-projects/ucap-webmessenger-electron-update-window/src/public-api"
      ],
      "@ucap-webmessenger/electron": [
        "electron-projects/ucap-webmessenger-electron/src/public-api"
      ],
      "@ucap-webmessenger/daesang": [
        "projects/ucap-webmessenger-daesang/src/public-api"
      ]
    }
  },
  "angularCompilerOptions": {
    "fullTemplateTypeCheck": true,
    "strictInjectionParameters": true
  }
}
